Page MenuHomePhabricator

Allow arbitrary search strings in citoid
Closed, ResolvedPublic

Description

Notify users draft:

You can now enter a plain text citation or the title of a journal article or book into the "Automatic" citation tab in Visual Editor. This will search both the Crossref and Worldcat repositories for the top result from each. As an example, try: E. Schrodinger, Proc. Cam. Phil. Soc. 31, 555 (1935). You can also use QIDs (from Wikidata). As an example, try Q40674886.

Details

Related Gerrit Patches:
mediawiki/extensions/Citoid : masterLet users know they can search by title or citation

Event Timeline

Mvolz created this task.Jul 1 2018, 2:28 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 1 2018, 2:28 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Mvolz moved this task from Backlog to Service on the Citoid board.Jul 2 2018, 12:14 PM
Mvolz moved this task from Service to Waiting on Deploy on the Citoid board.Jul 9 2018, 12:31 PM
Mvolz moved this task from Waiting on Deploy to Service on the Citoid board.
Mvolz changed the task status from Open to Stalled.Sep 27 2018, 8:51 AM
Mvolz updated the task description. (Show Details)
Mvolz added a project: VisualEditor.
Mvolz changed the task status from Stalled to Open.Sep 27 2018, 8:54 AM

Change 466192 had a related patch set uploaded (by Mvolz; owner: Mvolz):
[mediawiki/extensions/Citoid@master] Let users know they can search by title or citation

https://gerrit.wikimedia.org/r/466192

+1 from me.

Thanks!

Change 466192 merged by jenkins-bot:
[mediawiki/extensions/Citoid@master] Let users know they can search by title or citation

https://gerrit.wikimedia.org/r/466192

For user notice, something like:

You can now enter a plain text citation or the title of a journal article or book into the "Automatic" citation tab in Visual Editor. This will search both the Crossref and Worldcat databases for the top result. As an example, try: E. Schrodinger, Proc. Cam. Phil. Soc. 31, 555 (1935)

? @Whatamidoing-WMF seem okay? Also maybe it should go in the editing newsletter?

Mvolz updated the task description. (Show Details)Nov 2 2018, 10:34 AM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)Nov 2 2018, 10:37 AM
Mvolz updated the task description. (Show Details)
Mvolz updated the task description. (Show Details)Nov 2 2018, 11:03 AM
Quiddity updated the task description. (Show Details)Nov 2 2018, 5:39 PM
Mvolz updated the task description. (Show Details)Nov 5 2018, 9:43 AM

This all looks good to me.

Is it meant to return only two results, if many are possible?

Mvolz closed this task as Resolved.Nov 15 2018, 11:23 AM
Mvolz updated the task description. (Show Details)
jeblad added a subscriber: jeblad.Mar 14 2019, 12:16 PM

Nice, really nice!

Mvolz added a comment.EditedMar 15 2019, 9:23 AM

This all looks good to me.
Is it meant to return only two results, if many are possible?

Yes... we unfortunately don't have a great way to order these, because worldcat will give a nonsensical result if it's a journal article, and crossref will give a nonsensical result if it's a book. So I return two in a random order based on speed. I'm hesitant to return a longer list without a better way to order these, so that the most relevant results are at the top.